Google Groups no longer supports new Usenet posts or subscriptions. Historical content remains viewable.
Dismiss

Problems Building mod_tcl on Apache - No rule to make target `all'. Stop.

42 views
Skip to first unread message

JohanBG....@gmail.com

unread,
Sep 5, 2008, 9:39:05 AM9/5/08
to
Hello

I am trying in put in mod_tcl 1.01 on an Apache 2.2.4 using a gcc
2.4.6 - the machine is a virtual wmware and a Solaris 10.8 86x.

I have tried following the installation procedure on both apache and
the mod_tcl homepage.

Please give me some ideas on how to proceed. :)

Files:
gcc-3.4.6-sol10-x86-local.gz
httpd-2.2.4.tar.gz

And 'The expat, libiconv, zlib, openssl-0.9.8h, and either the
libgcc-3.4.6 or gcc-3.4.6 must be installed.' fulfilled.

I get stuck at make with the following:

bash-3.2# make
Making all in srclib
Making all in apr
Making all in apr-util
Making all in xml/expat
Making all in pcre
Making all in os
Making all in unix
Making all in server
Making all in mpm
Making all in prefork
Making all in modules
Making all in aaa
Making all in filters
Making all in loggers
Making all in metadata
Making all in mod_tcl
make: Fatal error: Don't know how to make target `all'
Current working directory /httpd-2.2.4/modules/mod_tcl
*** Error code 1
The following command caused the error:
otarget=`echo all-recursive|sed s/-recursive//`; \
list=' aaa filters loggers metadata mod_tcl http generators mappers';
\
for i in $list; do \
if test -d "$i"; then \
target="$otarget"; \
echo "Making $target in $i"; \
if test "$i" = "."; then \
made_local=yes; \
target="local-$target"; \
fi; \
(cd $i && make $target) || exit 1; \
fi; \
done; \
if test "$otarget" = "all" && test -z ''; then \
made_local=yes; \
fi; \
if test "$made_local" != "yes"; then \
make "local-$otarget" || exit 1; \
fi
make: Fatal error: Command failed for target `all-recursive'
Current working directory /httpd-2.2.4/modules
*** Error code 1
The following command caused the error:
otarget=`echo all-recursive|sed s/-recursive//`; \
list=' srclib os server modules support'; \
for i in $list; do \
if test -d "$i"; then \
target="$otarget"; \
echo "Making $target in $i"; \
if test "$i" = "."; then \
made_local=yes; \
target="local-$target"; \
fi; \
(cd $i && make $target) || exit 1; \
fi; \
done; \
if test "$otarget" = "all" && test -z 'httpd '; then \
made_local=yes; \
fi; \
if test "$made_local" != "yes"; then \
make "local-$otarget" || exit 1; \
fi
make: Fatal error: Command failed for target `all-recursive'

gmake gives me:

bash-3.2# gmake
Making all in srclib
gmake[1]: Entering directory `/httpd-2.2.4/srclib'
Making all in apr
gmake[2]: Entering directory `/httpd-2.2.4/srclib/apr'
gmake[3]: Entering directory `/httpd-2.2.4/srclib/apr'
gmake[3]: Nothing to be done for `local-all'.
gmake[3]: Leaving directory `/httpd-2.2.4/srclib/apr'
gmake[2]: Leaving directory `/httpd-2.2.4/srclib/apr'
Making all in apr-util
gmake[2]: Entering directory `/httpd-2.2.4/srclib/apr-util'
Making all in xml/expat
gmake[3]: Entering directory `/httpd-2.2.4/srclib/apr-util/xml/expat'
gmake[4]: Entering directory `/httpd-2.2.4/srclib/apr-util/xml/expat/
lib'
gmake[4]: Nothing to be done for `all'.
gmake[4]: Leaving directory `/httpd-2.2.4/srclib/apr-util/xml/expat/
lib'
gmake[3]: Leaving directory `/httpd-2.2.4/srclib/apr-util/xml/expat'
gmake[3]: Entering directory `/httpd-2.2.4/srclib/apr-util'
gmake[3]: Nothing to be done for `local-all'.
gmake[3]: Leaving directory `/httpd-2.2.4/srclib/apr-util'
gmake[2]: Leaving directory `/httpd-2.2.4/srclib/apr-util'
Making all in pcre
gmake[2]: Entering directory `/httpd-2.2.4/srclib/pcre'
gmake[3]: Entering directory `/httpd-2.2.4/srclib/pcre'
gmake[3]: Nothing to be done for `local-all'.
gmake[3]: Leaving directory `/httpd-2.2.4/srclib/pcre'
gmake[2]: Leaving directory `/httpd-2.2.4/srclib/pcre'
gmake[1]: Leaving directory `/httpd-2.2.4/srclib'
Making all in os
gmake[1]: Entering directory `/httpd-2.2.4/os'
Making all in unix
gmake[2]: Entering directory `/httpd-2.2.4/os/unix'
gmake[3]: Entering directory `/httpd-2.2.4/os/unix'
gmake[3]: Nothing to be done for `local-all'.
gmake[3]: Leaving directory `/httpd-2.2.4/os/unix'
gmake[2]: Leaving directory `/httpd-2.2.4/os/unix'
gmake[1]: Leaving directory `/httpd-2.2.4/os'
Making all in server
gmake[1]: Entering directory `/httpd-2.2.4/server'
Making all in mpm
gmake[2]: Entering directory `/httpd-2.2.4/server/mpm'
Making all in prefork
gmake[3]: Entering directory `/httpd-2.2.4/server/mpm/prefork'
gmake[4]: Entering directory `/httpd-2.2.4/server/mpm/prefork'
gmake[4]: Nothing to be done for `local-all'.
gmake[4]: Leaving directory `/httpd-2.2.4/server/mpm/prefork'
gmake[3]: Leaving directory `/httpd-2.2.4/server/mpm/prefork'
gmake[2]: Leaving directory `/httpd-2.2.4/server/mpm'
gmake[2]: Entering directory `/httpd-2.2.4/server'
gmake[2]: Leaving directory `/httpd-2.2.4/server'
gmake[1]: Leaving directory `/httpd-2.2.4/server'
Making all in modules
gmake[1]: Entering directory `/httpd-2.2.4/modules'
Making all in aaa
gmake[2]: Entering directory `/httpd-2.2.4/modules/aaa'
gmake[3]: Entering directory `/httpd-2.2.4/modules/aaa'
gmake[3]: Nothing to be done for `local-all'.
gmake[3]: Leaving directory `/httpd-2.2.4/modules/aaa'
gmake[2]: Leaving directory `/httpd-2.2.4/modules/aaa'
Making all in filters
gmake[2]: Entering directory `/httpd-2.2.4/modules/filters'
gmake[3]: Entering directory `/httpd-2.2.4/modules/filters'
gmake[3]: Nothing to be done for `local-all'.
gmake[3]: Leaving directory `/httpd-2.2.4/modules/filters'
gmake[2]: Leaving directory `/httpd-2.2.4/modules/filters'
Making all in loggers
gmake[2]: Entering directory `/httpd-2.2.4/modules/loggers'
gmake[3]: Entering directory `/httpd-2.2.4/modules/loggers'
gmake[3]: Nothing to be done for `local-all'.
gmake[3]: Leaving directory `/httpd-2.2.4/modules/loggers'
gmake[2]: Leaving directory `/httpd-2.2.4/modules/loggers'
Making all in metadata
gmake[2]: Entering directory `/httpd-2.2.4/modules/metadata'
gmake[3]: Entering directory `/httpd-2.2.4/modules/metadata'
gmake[3]: Nothing to be done for `local-all'.
gmake[3]: Leaving directory `/httpd-2.2.4/modules/metadata'
gmake[2]: Leaving directory `/httpd-2.2.4/modules/metadata'
Making all in mod_tcl
gmake[2]: Entering directory `/httpd-2.2.4/modules/mod_tcl'
gmake[2]: *** No rule to make target `all'. Stop.
gmake[2]: Leaving directory `/httpd-2.2.4/modules/mod_tcl'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/httpd-2.2.4/modules'
gmake: *** [all-recursive] Error 1


Thank you
/J

Message has been deleted

JohanBG....@gmail.com

unread,
Sep 5, 2008, 10:23:48 AM9/5/08
to
On Sep 5, 6:42 am, Davide Bianchi <davideyeahs...@onlyforfun.net>
wrote:

> On 2008-09-05, JohanBG.Johans...@gmail.com <JohanBG.Johans...@gmail.com> wrote:
>
> > I get stuck at make with the following:
>
> > bash-3.2# make
>
> Ok, but did you do the 'configure' bit first ? What's in the
> configure.log file?
>
> Davide
>
> --
> I know it's a buzzword [...], but fsckit, 'Enterprise' editions of
> things *should* come with the phasers and photon torpedos and all.
> Of course, the first vendor freebie you'd get would be a red shirt...
> -- Anthony de Boer

Yes

- unpacked it
- put it in the modules foldeeeer
- autoconf
- autoheader
- ./configure --with-included-apr
- make *crash*

Up to make, it works fine. Config.log below:

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.61. Invocation command line was

$ ./configure --with-included-apr

## --------- ##
## Platform. ##
## --------- ##

hostname = dhcp-04
uname -m = i86pc
uname -r = 5.11
uname -s = SunOS
uname -v = snv_79a

/usr/bin/uname -p = i386
/bin/uname -X = System = SunOS
Node = dhcp-04
Release = 5.11
KernelID = snv_79a
Machine = i86pc
BusType = <unknown>
Serial = <unknown>
Users = <unknown>
OEM# = 0
Origin# = 1
NumCPU = 1

/bin/arch = i86pc
/usr/bin/arch -k = i86pc
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /usr/local/bin
PATH: /usr/local/bin/gcc
PATH: /usr/sbin
PATH: /usr/bin
PATH: /usr/openwin/bin
PATH: /usr/ucb


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2281: checking for chosen layout
configure:2283: result: Apache
configure:3088: checking for working mkdir -p
configure:3104: result: yes
configure:3121: checking build system type
configure:3139: result: i386-pc-solaris2.11
configure:3161: checking host system type
configure:3176: result: i386-pc-solaris2.11
configure:3198: checking target system type
configure:3213: result: i386-pc-solaris2.11
configure:3968: checking for gcc
configure:3995: result: gcc
configure:4233: checking for C compiler version
configure:4240: gcc --version >&5
gcc (GCC) 3.4.6
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There
is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.

configure:4243: $? = 0
configure:4250: gcc -v >&5
Reading specs from /usr/local/lib/gcc/i386-pc-solaris2.10/3.4.6/specs
Configured with: ../configure --with-as=/usr/ccs/bin/as --with-ld=/usr/
ccs/bin/ld --enable-shared --enable-languages=c,c++,f77
Thread model: posix
gcc version 3.4.6
configure:4253: $? = 0
configure:4260: gcc -V >&5
gcc: `-V' option must have argument
configure:4263: $? = 1
configure:4286: checking for C compiler default output file name
configure:4313: gcc -g -O2 -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE -L/httpd-2.2.4/srclib/apr-util/xml/
expat/lib conftest.c >&5
configure:4316: $? = 0
configure:4354: result: a.out
configure:4371: checking whether the C compiler works
configure:4381: ./a.out
configure:4384: $? = 0
configure:4401: result: yes
configure:4408: checking whether we are cross compiling
configure:4410: result: no
configure:4413: checking for suffix of executables
configure:4420: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c >&5
configure:4423: $? = 0
configure:4447: result:
configure:4453: checking for suffix of object files
configure:4479: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:4482: $? = 0
configure:4505: result: o
configure:4509: checking whether we are using the GNU C compiler
configure:4538: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:4544: $? = 0
configure:4561: result: yes
configure:4566: checking whether gcc accepts -g
configure:4596: gcc -c -g -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c >&5
configure:4602: $? = 0
configure:4701: result: yes
configure:4718: checking for gcc option to accept ISO C89
configure:4792: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:4798: $? = 0
configure:4821: result: none needed
configure:4844: checking how to run the C preprocessor
configure:4960: result: gcc -E
configure:4989: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:4995: $? = 0
configure:5026: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
conftest.c:8:28: ac_nonexistent.h: No such file or directory
configure:5032: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:5190: Configuring PCRE regular expression library
configure:5633: checking for rm
configure:5651: found /usr/bin/rm
configure:5663: result: /usr/bin/rm
configure:5673: checking for pkg-config
configure:5691: found /usr/bin/pkg-config
configure:5703: result: /usr/bin/pkg-config
configure:5713: checking for rsync
configure:5731: found /usr/bin/rsync
configure:5743: result: /usr/bin/rsync
configure:5755: checking for gawk
configure:5785: result: no
configure:5755: checking for mawk
configure:5785: result: no
configure:5755: checking for nawk
configure:5771: found /usr/bin/nawk
configure:5782: result: nawk
configure:5793: checking whether ln -s works
configure:5797: result: yes
configure:5847: checking for ranlib
configure:5863: found /usr/bin/ranlib
configure:5874: result: ranlib
configure:5904: checking for lynx
configure:5934: result: no
configure:5904: checking for links
configure:5934: result: no
configure:5904: checking for elinks
configure:5934: result: no
configure:5958: checking for grep that handles long lines and -e
configure:6032: result: /usr/bin/ggrep
configure:6037: checking for egrep
configure:6115: result: /usr/bin/ggrep -E
configure:6121: checking for AIX
configure:6143: result: no
configure:6149: checking for library containing strerror
configure:6190: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c >&5
configure:6196: $? = 0
configure:6224: result: none required
configure:6232: checking for ANSI C header files
configure:6262: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6268: $? = 0
configure:6367: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c >&5
configure:6370: $? = 0
configure:6376: ./conftest
configure:6379: $? = 0
configure:6396: result: yes
configure:6420: checking for sys/types.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6420: checking for sys/stat.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6420: checking for stdlib.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6420: checking for string.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6420: checking for memory.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6420: checking for strings.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6420: checking for inttypes.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6420: checking for stdint.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6420: checking for unistd.h
configure:6441: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:6447: $? = 0
configure:6463: result: yes
configure:6485: checking minix/config.h usability
configure:6502: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
conftest.c:51:26: minix/config.h: No such file or directory
configure:6508: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <minix/config.h>
configure:6522: result: no
configure:6526: checking minix/config.h presence
configure:6541: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
conftest.c:18:26: minix/config.h: No such file or directory
configure:6547: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <minix/config.h>
configure:6561: result: no
configure:6589: checking for minix/config.h
configure:6596: result: no
configure:6778: checking for ANSI C header files
configure:6942: result: yes
configure:6977: checking for string.h
configure:6983: result: yes
configure:6987: checking limits.h usability
configure:7004: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:7010: $? = 0
configure:7024: result: yes
configure:7028: checking limits.h presence
configure:7043: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:7049: $? = 0
configure:7063: result: yes
configure:7091: checking for limits.h
configure:7099: result: yes
configure:6977: checking for unistd.h
configure:6983: result: yes
configure:6987: checking sys/socket.h usability
configure:7004: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:7010: $? = 0
configure:7024: result: yes
configure:7028: checking sys/socket.h presence
configure:7043: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:7049: $? = 0
configure:7063: result: yes
configure:7091: checking for sys/socket.h
configure:7099: result: yes
configure:6987: checking pwd.h usability
configure:7004: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:7010: $? = 0
configure:7024: result: yes
configure:7028: checking pwd.h presence
configure:7043: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:7049: $? = 0
configure:7063: result: yes
configure:7091: checking for pwd.h
configure:7099: result: yes
configure:6987: checking grp.h usability
configure:7004: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:7010: $? = 0
configure:7024: result: yes
configure:7028: checking grp.h presence
configure:7043: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:7049: $? = 0
configure:7063: result: yes
configure:7091: checking for grp.h
configure:7099: result: yes
configure:6977: checking for strings.h
configure:6983: result: yes
configure:6987: checking sys/prctl.h usability
configure:7004: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
conftest.c:59:23: sys/prctl.h: No such file or directory
configure:7010: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <sys/prctl.h>
configure:7024: result: no
configure:7028: checking sys/prctl.h presence
configure:7043: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
conftest.c:26:23: sys/prctl.h: No such file or directory
configure:7049: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| /* end confdefs.h. */
| #include <sys/prctl.h>
configure:7063: result: no
configure:7091: checking for sys/prctl.h
configure:7099: result: no
configure:6987: checking sys/processor.h usability
configure:7004: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:7010: $? = 0
configure:7024: result: yes
configure:7028: checking sys/processor.h presence
configure:7043: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:7049: $? = 0
configure:7063: result: yes
configure:7091: checking for sys/processor.h
configure:7099: result: yes
configure:6987: checking sys/sem.h usability
configure:7004: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:7010: $? = 0
configure:7024: result: yes
configure:7028: checking sys/sem.h presence
configure:7043: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:7049: $? = 0
configure:7063: result: yes
configure:7091: checking for sys/sem.h
configure:7099: result: yes
configure:7112: checking for sys/wait.h that is POSIX.1 compatible
configure:7148: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:7154: $? = 0
configure:7169: result: yes
configure:7181: checking for an ANSI C-conforming const
configure:7256: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:7262: $? = 0
configure:7277: result: yes
configure:7288: checking for library containing sqrt
configure:7329: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c >&5
conftest.c:36: warning: conflicting types for built-in function 'sqrt'
Undefined first referenced
symbol in file
sqrt /var/tmp//ccshmbw9.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:7335: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| /* end confdefs.h. */
|
| /* Override any GCC internal prototype to avoid an error.
| Use char because int might match the return type of a GCC
| builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char sqrt ();
| int
| main ()
| {
| return sqrt ();
| ;
| return 0;
| }
configure:7329: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
conftest.c:36: warning: conflicting types for built-in function 'sqrt'
configure:7335: $? = 0
configure:7363: result: -lm
configure:7389: checking for getpwnam
configure:7445: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
configure:7451: $? = 0
configure:7469: result: yes
configure:7389: checking for getgrnam
configure:7445: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
configure:7451: $? = 0
configure:7469: result: yes
configure:7389: checking for initgroups
configure:7445: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
configure:7451: $? = 0
configure:7469: result: yes
configure:7389: checking for bindprocessor
configure:7445: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
Undefined first referenced
symbol in file
bindprocessor /var/tmp//ccMnXItk.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:7451: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| /* end confdefs.h. */
| /* Define bindprocessor to an innocuous variant, in case <limits.h>
declares bindprocessor.
| For example, HP-UX 11i <limits.h> declares gettimeofday. */
| #define bindprocessor innocuous_bindprocessor
|
| /* System header to define __stub macros and hopefully few
prototypes,
| which can conflict with char bindprocessor (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef bindprocessor
|
| /* Override any GCC internal prototype to avoid an error.
| Use char because int might match the return type of a GCC
| builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char bindprocessor ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined __stub_bindprocessor || defined __stub___bindprocessor
| choke me
| #endif
|
| int
| main ()
| {
| return bindprocessor ();
| ;
| return 0;
| }
configure:7469: result: no
configure:7389: checking for prctl
configure:7445: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
Undefined first referenced
symbol in file
prctl /var/tmp//cc8tRspP.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:7451: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| /* end confdefs.h. */
| /* Define prctl to an innocuous variant, in case <limits.h> declares
prctl.
| For example, HP-UX 11i <limits.h> declares gettimeofday. */
| #define prctl innocuous_prctl
|
| /* System header to define __stub macros and hopefully few
prototypes,
| which can conflict with char prctl (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef prctl
|
| /* Override any GCC internal prototype to avoid an error.
| Use char because int might match the return type of a GCC
| builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char prctl ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined __stub_prctl || defined __stub___prctl
| choke me
| #endif
|
| int
| main ()
| {
| return prctl ();
| ;
| return 0;
| }
configure:7469: result: no
configure:7389: checking for timegm
configure:7445: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
Undefined first referenced
symbol in file
timegm /var/tmp//ccAh0VTr.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:7451: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| /* end confdefs.h. */
| /* Define timegm to an innocuous variant, in case <limits.h>
declares timegm.
| For example, HP-UX 11i <limits.h> declares gettimeofday. */
| #define timegm innocuous_timegm
|
| /* System header to define __stub macros and hopefully few
prototypes,
| which can conflict with char timegm (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef timegm
|
| /* Override any GCC internal prototype to avoid an error.
| Use char because int might match the return type of a GCC
| builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char timegm ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined __stub_timegm || defined __stub___timegm
| choke me
| #endif
|
| int
| main ()
| {
| return timegm ();
| ;
| return 0;
| }
configure:7469: result: no
configure:7482: checking for void pointer length
configure:7508: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
configure:7511: $? = 0
configure:7517: ./conftest
configure:7520: $? = 0
configure:7536: result: no
configure:7546: checking for tm_gmtoff in struct tm
configure:7573: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
conftest.c: In function `main':
conftest.c:37: error: structure has no member named `tm_gmtoff'
configure:7579: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| /* end confdefs.h. */
| #include <sys/types.h>
| #include <time.h>
| int
| main ()
| {
| struct tm tm; tm.tm_gmtoff;
| ;
| return 0;
| }
configure:7594: result: no
configure:7857: checking whether to enable mod_authn_file
configure:7895: result: yes (default)
configure:7950: checking whether to enable mod_authn_dbm
configure:7988: result: no
configure:8043: checking whether to enable mod_authn_anon
configure:8081: result: no
configure:8136: checking whether to enable mod_authn_dbd
configure:8174: result: no
configure:8230: checking whether to enable mod_authn_default
configure:8268: result: yes (default)
configure:8324: checking whether to enable mod_authn_alias
configure:8362: result: no
configure:8418: checking whether to enable mod_authz_host
configure:8456: result: yes (default)
configure:8511: checking whether to enable mod_authz_groupfile
configure:8549: result: yes (default)
configure:8604: checking whether to enable mod_authz_user
configure:8642: result: yes (default)
configure:8697: checking whether to enable mod_authz_dbm
configure:8735: result: no
configure:8790: checking whether to enable mod_authz_owner
configure:8828: result: no
configure:8884: checking whether to enable mod_authnz_ldap
configure:8922: result: no
configure:8978: checking whether to enable mod_authz_default
configure:9016: result: yes (default)
configure:9073: checking whether to enable mod_auth_basic
configure:9111: result: yes (default)
configure:9166: checking whether to enable mod_auth_digest
configure:9249: result: no
configure:9330: checking whether to enable mod_isapi
configure:9368: result: no
configure:9449: checking whether to enable mod_file_cache
configure:9487: result: no
configure:9545: checking whether to enable mod_cache
configure:9583: result: no
configure:9638: checking whether to enable mod_disk_cache
configure:9676: result: no
configure:9731: checking whether to enable mod_mem_cache
configure:9769: result: no
configure:9849: checking whether to enable mod_dbd
configure:9887: result: no
configure:9967: checking whether to enable mod_bucketeer
configure:10005: result: no
configure:10060: checking whether to enable mod_dumpio
configure:10098: result: no
configure:10179: checking whether to enable mod_echo
configure:10217: result: no
configure:10297: checking whether to enable mod_example
configure:10335: result: no
configure:10390: checking whether to enable mod_case_filter
configure:10428: result: no
configure:10483: checking whether to enable mod_case_filter_in
configure:10521: result: no
configure:10602: checking whether to enable mod_ext_filter
configure:10640: result: no
configure:10695: checking whether to enable mod_include
configure:10733: result: yes (default)
configure:10788: checking whether to enable mod_filter
configure:10826: result: yes (default)
configure:10979: checking whether to enable mod_charset_lite
configure:11017: result: no
configure:11075: checking whether to enable mod_deflate
configure:11332: result: no
configure:11414: checking whether to enable mod_ldap
configure:11452: result: no
configure:11533: checking whether to enable mod_log_config
configure:11571: result: yes (default)
configure:11626: checking whether to enable mod_log_forensic
configure:11664: result: no
configure:11745: checking whether to enable mod_logio
configure:11783: result: no
configure:11864: checking whether to enable mod_env
configure:11902: result: yes (default)
configure:11957: checking whether to enable mod_mime_magic
configure:11995: result: no
configure:12050: checking whether to enable mod_cern_meta
configure:12088: result: no
configure:12143: checking whether to enable mod_expires
configure:12181: result: no
configure:12236: checking whether to enable mod_headers
configure:12274: result: no
configure:12329: checking whether to enable mod_ident
configure:12367: result: no
configure:12423: checking whether to enable mod_usertrack
configure:12709: result: no
configure:12765: checking whether to enable mod_unique_id
configure:12803: result: no
configure:12858: checking whether to enable mod_setenvif
configure:12896: result: yes (default)
configure:12951: checking whether to enable mod_version
configure:12989: result: no
configure:13069: checking whether to enable mod_tcl
configure:13107: result: yes (default)
configure:13181: checking tcl.h usability
configure:13198: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:13204: $? = 0
configure:13218: result: yes
configure:13222: checking tcl.h presence
configure:13237: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:13243: $? = 0
configure:13257: result: yes
configure:13285: checking for tcl.h
configure:13293: result: yes
configure:13171: checking for inttypes.h
configure:13177: result: yes
configure:13181: checking int_types.h usability
configure:13198: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
conftest.c:68:23: int_types.h: No such file or directory
configure:13204: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| #define AP_ENABLE_V4_MAPPED 1
| #define HAVE_TCL_H 1
| #define HAVE_INTTYPES_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <int_types.h>
configure:13218: result: no
configure:13222: checking int_types.h presence
configure:13237: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
conftest.c:35:23: int_types.h: No such file or directory
configure:13243: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| #define AP_ENABLE_V4_MAPPED 1
| #define HAVE_TCL_H 1
| #define HAVE_INTTYPES_H 1
| /* end confdefs.h. */
| #include <int_types.h>
configure:13257: result: no
configure:13285: checking for int_types.h
configure:13293: result: no
configure:13181: checking sys/mman.h usability
configure:13198: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:13204: $? = 0
configure:13218: result: yes
configure:13222: checking sys/mman.h presence
configure:13237: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:13243: $? = 0
configure:13257: result: yes
configure:13285: checking for sys/mman.h
configure:13293: result: yes
configure:13311: checking for asprintf
configure:13367: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
Undefined first referenced
symbol in file
asprintf /var/tmp//ccyEKANq.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:13373: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| #define AP_ENABLE_V4_MAPPED 1
| #define HAVE_TCL_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_SYS_MMAN_H 1
| /* end confdefs.h. */
| /* Define asprintf to an innocuous variant, in case <limits.h>
declares asprintf.
| For example, HP-UX 11i <limits.h> declares gettimeofday. */
| #define asprintf innocuous_asprintf
|
| /* System header to define __stub macros and hopefully few
prototypes,
| which can conflict with char asprintf (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef asprintf
|
| /* Override any GCC internal prototype to avoid an error.
| Use char because int might match the return type of a GCC
| builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char asprintf ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined __stub_asprintf || defined __stub___asprintf
| choke me
| #endif
|
| int
| main ()
| {
| return asprintf ();
| ;
| return 0;
| }
configure:13391: result: no
configure:13311: checking for mmap
configure:13367: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm >&5
configure:13373: $? = 0
configure:13391: result: yes
configure:13418: result: using `/usr/local/lib /usr/lib' to search for
tclConfig.sh
configure:13427: checking for tclConfig.sh in /usr/local/lib
configure:13439: result: no
configure:13427: checking for tclConfig.sh in /usr/lib
configure:13434: result: yes
configure:13452: checking for tcl version
configure:13454: result: "8.4"
configure:13502: checking whether to enable mod_proxy
configure:13540: result: no
configure:13614: checking whether to enable mod_proxy_connect
configure:13652: result: no
configure:13707: checking whether to enable mod_proxy_ftp
configure:13745: result: no
configure:13800: checking whether to enable mod_proxy_http
configure:13838: result: no
configure:13893: checking whether to enable mod_proxy_ajp
configure:13931: result: no
configure:13986: checking whether to enable mod_proxy_balancer
configure:14024: result: no
configure:14129: checking whether to enable mod_ssl
configure:15948: result: no
configure:16052: checking whether to enable mod_optional_hook_export
configure:16090: result: no
configure:16145: checking whether to enable mod_optional_hook_import
configure:16183: result: no
configure:16238: checking whether to enable mod_optional_fn_import
configure:16276: result: no
configure:16331: checking whether to enable mod_optional_fn_export
configure:16369: result: no
configure:16462: checking for target platform
configure:16487: result: unix
configure:16519: checking for rlim_t
configure:16550: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:16556: $? = 0
configure:16575: result: yes
configure:16604: checking sys/time.h usability
configure:16621: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:16627: $? = 0
configure:16641: result: yes
configure:16645: checking sys/time.h presence
configure:16660: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:16666: $? = 0
configure:16680: result: yes
configure:16708: checking for sys/time.h
configure:16716: result: yes
configure:16604: checking sys/resource.h usability
configure:16621: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:16627: $? = 0
configure:16641: result: yes
configure:16645: checking sys/resource.h presence
configure:16660: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:16666: $? = 0
configure:16680: result: yes
configure:16708: checking for sys/resource.h
configure:16716: result: yes
configure:16594: checking for sys/sem.h
configure:16600: result: yes
configure:16604: checking sys/ipc.h usability
configure:16621: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:16627: $? = 0
configure:16641: result: yes
configure:16645: checking sys/ipc.h presence
configure:16660: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:16666: $? = 0
configure:16680: result: yes
configure:16708: checking for sys/ipc.h
configure:16716: result: yes
configure:16735: checking for setsid
configure:16791: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm -L/usr/lib -
R/usr/lib -ltcl8.4 >&5
configure:16797: $? = 0
configure:16815: result: yes
configure:16735: checking for killpg
configure:16791: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm -L/usr/lib -
R/usr/lib -ltcl8.4 >&5
configure:16797: $? = 0
configure:16815: result: yes
configure:16845: checking bstring.h usability
configure:16862: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
conftest.c:76:21: bstring.h: No such file or directory
configure:16868: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| #define AP_ENABLE_V4_MAPPED 1
| #define HAVE_TCL_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_SYS_MMAN_H 1
| #define HAVE_MMAP 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_RESOURCE_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_IPC_H 1
| #define HAVE_SETSID 1
| #define HAVE_KILLPG 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <bstring.h>
configure:16882: result: no
configure:16886: checking bstring.h presence
configure:16901: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
conftest.c:43:21: bstring.h: No such file or directory
configure:16907: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_SYS_PROCESSOR_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_GETPWNAM 1
| #define HAVE_GETGRNAM 1
| #define HAVE_INITGROUPS 1
| #define AP_ENABLE_V4_MAPPED 1
| #define HAVE_TCL_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_SYS_MMAN_H 1
| #define HAVE_MMAP 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_SYS_RESOURCE_H 1
| #define HAVE_SYS_SEM_H 1
| #define HAVE_SYS_IPC_H 1
| #define HAVE_SETSID 1
| #define HAVE_KILLPG 1
| /* end confdefs.h. */
| #include <bstring.h>
configure:16921: result: no
configure:16949: checking for bstring.h
configure:16957: result: no
configure:16835: checking for unistd.h
configure:16841: result: yes
configure:16977: checking for syslog
configure:17033: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm -L/usr/lib -
R/usr/lib -ltcl8.4 >&5
configure:17039: $? = 0
configure:17057: result: yes
configure:17083: checking sys/times.h usability
configure:17100: gcc -c -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
conftest.c >&5
configure:17106: $? = 0
configure:17120: result: yes
configure:17124: checking sys/times.h presence
configure:17139: gcc -E -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -
D_REENTRANT -D_LARGEFILE64_SOURCE conftest.c
configure:17145: $? = 0
configure:17159: result: yes
configure:17187: checking for sys/times.h
configure:17195: result: yes
configure:17212: checking for times
configure:17268: gcc -o conftest -g -O2 -DSOLARIS2=11 -
D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE -L/
httpd-2.2.4/srclib/apr-util/xml/expat/lib conftest.c -lm -L/usr/lib -
R/usr/lib -ltcl8.4 >&5
configure:17274: $? = 0
configure:17292: result: yes
configure:17303: checking which MPM to use
configure:17319: result: prefork
configure:18183: checking whether to enable mod_http
configure:18221: result: yes
configure:18276: checking whether to enable mod_mime
configure:18314: result: yes (default)
configure:18383: checking for extra modules
configure:18443: result: none
configure:18468: checking whether to enable mod_dav
configure:18506: result: no
configure:18614: checking whether to enable mod_status
configure:18652: result: yes (default)
configure:18707: checking whether to enable mod_autoindex
configure:18745: result: yes (default)
configure:18800: checking whether to enable mod_asis
configure:18838: result: yes (default)
configure:18893: checking whether to enable mod_info
configure:18931: result: no
configure:18986: checking whether to enable mod_suexec
configure:19038: result: no
configure:19287: checking whether to enable mod_cgi
configure:19325: result: yes (default)
configure:19380: checking whether to enable mod_cgid
configure:19418: result: no
configure:19826: checking whether to enable mod_dav_fs
configure:19864: result: no
configure:19954: checking whether to enable mod_dav_lock
configure:19992: result: no
configure:20073: checking whether to enable mod_vhost_alias
configure:20111: result: no
configure:20166: checking whether to enable mod_negotiation
configure:20204: result: yes (default)
configure:20259: checking whether to enable mod_dir
configure:20297: result: yes (default)
configure:20352: checking whether to enable mod_imagemap
configure:20390: result: no
configure:20445: checking whether to enable mod_actions
configure:20483: result: yes (default)
configure:20538: checking whether to enable mod_speling
configure:20576: result: no
configure:20631: checking whether to enable mod_userdir
configure:20669: result: yes (default)
configure:20724: checking whether to enable mod_alias
configure:20762: result: yes (default)
configure:20818: checking whether to enable mod_rewrite
configure:20856: result: no
configure:21007: checking whether to enable mod_so
configure:21045: result: yes
configure:22024: creating ./config.status

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by config.status, which was
generated by GNU Autoconf 2.61. Invocation command line was

CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status

on dhcp-04

config.status:863: creating docs/conf/httpd.conf
config.status:863: creating docs/conf/extra/httpd-autoindex.conf
config.status:863: creating docs/conf/extra/httpd-dav.conf
config.status:863: creating docs/conf/extra/httpd-default.conf
config.status:863: creating docs/conf/extra/httpd-info.conf
config.status:863: creating docs/conf/extra/httpd-languages.conf
config.status:863: creating docs/conf/extra/httpd-manual.conf
config.status:863: creating docs/conf/extra/httpd-mpm.conf
config.status:863: creating docs/conf/extra/httpd-multilang-
errordoc.conf
config.status:863: creating docs/conf/extra/httpd-ssl.conf
config.status:863: creating docs/conf/extra/httpd-userdir.conf
config.status:863: creating docs/conf/extra/httpd-vhosts.conf
config.status:863: creating include/ap_config_layout.h
config.status:863: creating support/apxs
config.status:863: creating support/apachectl
config.status:863: creating support/dbmmanage
config.status:863: creating support/envvars-std
config.status:863: creating support/log_server_status
config.status:863: creating support/logresolve.pl
config.status:863: creating support/phf_abuse_log.cgi
config.status:863: creating support/split-logfile
config.status:863: creating build/rules.mk
config.status:863: creating build/pkg/pkginfo
config.status:863: creating build/config_vars.sh
config.status:863: creating include/ap_config_auto.h
config.status:1133: executing default commands

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i386-pc-solaris2.11
ac_cv_c_compiler_gnu=yes
ac_cv_c_const=yes
ac_cv_define_APR_HAS_DSO=yes
ac_cv_define_APR_HAVE_IPV6=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_func_asprintf=no
ac_cv_func_bindprocessor=no
ac_cv_func_getgrnam=yes
ac_cv_func_getpwnam=yes
ac_cv_func_initgroups=yes
ac_cv_func_killpg=yes
ac_cv_func_mmap=yes
ac_cv_func_prctl=no
ac_cv_func_setsid=yes
ac_cv_func_syslog=yes
ac_cv_func_timegm=no
ac_cv_func_times=yes
ac_cv_header_bstring_h=no
ac_cv_header_grp_h=yes
ac_cv_header_int_types_h=no
ac_cv_header_inttypes_h=yes
ac_cv_header_limits_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_minix_config_h=no
ac_cv_header_pwd_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_ipc_h=yes
ac_cv_header_sys_mman_h=yes
ac_cv_header_sys_prctl_h=no
ac_cv_header_sys_processor_h=yes
ac_cv_header_sys_resource_h=yes
ac_cv_header_sys_sem_h=yes
ac_cv_header_sys_socket_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_time_h=yes
ac_cv_header_sys_times_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_sys_wait_h=yes
ac_cv_header_tcl_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=i386-pc-solaris2.11
ac_cv_mkdir_p=yes
ac_cv_objext=o
ac_cv_path_EGREP='/usr/bin/ggrep -E'
ac_cv_path_GREP=/usr/bin/ggrep
ac_cv_path_PKGCONFIG=/usr/bin/pkg-config
ac_cv_path_RM=/usr/bin/rm
ac_cv_path_RSYNC=/usr/bin/rsync
ac_cv_prog_AWK=nawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_search_sqrt=-lm
ac_cv_search_strerror='none required'
ac_cv_struct_tm_gmtoff=no
ac_cv_target=i386-pc-solaris2.11
ac_cv_type_rlim_t=yes
apache_cv_mpm=prefork
tnm_cv_path_tcl_config=/usr/lib

## ----------------- ##
## Output variables. ##
## ----------------- ##

APACHECTL_ULIMIT='ulimit -S -n `ulimit -H -n`'
APR_BINDIR='/usr/local/apache2/bin'
APR_CONFIG='/usr/local/apache2/bin/apr-1-config'
APR_INCLUDEDIR='/httpd-2.2.4/srclib/apr/include'
APR_VERSION='1.2.8'
APU_BINDIR='/usr/local/apache2/bin'
APU_CONFIG='/usr/local/apache2/bin/apu-1-config'
APU_INCLUDEDIR='/httpd-2.2.4/srclib/apr-util/include'
APU_VERSION='1.2.8'
AP_BUILD_SRCLIB_DIRS='apr apr-util pcre'
AP_CLEAN_SRCLIB_DIRS='apr-util apr pcre'
AP_LIBS='/httpd-2.2.4/srclib/pcre/libpcre.la /httpd-2.2.4/srclib/apr-
util/libaprutil-1.la /httpd-2.2.4/srclib/apr-util/xml/expat/lib/
libexpat.la -liconv /httpd-2.2.4/srclib/apr/libapr-1.la -lsendfile -
lsocket -lnsl -lpthread'
AWK='nawk'
BUILTIN_LIBS=' modules/aaa/libmod_authn_file.la modules/aaa/
libmod_authn_default.la modules/aaa/libmod_authz_host.la modules/aaa/
libmod_authz_groupfile.la modules/aaa/libmod_authz_user.la modules/aaa/
libmod_authz_default.la modules/aaa/libmod_auth_basic.la modules/
filters/libmod_include.la modules/filters/libmod_filter.la modules/
loggers/libmod_log_config.la modules/metadata/libmod_env.la modules/
metadata/libmod_setenvif.la modules/mod_tcl/libmod_tcl.la modules/http/
libmod_http.la modules/http/libmod_mime.la modules/generators/
libmod_status.la modules/generators/libmod_autoindex.la modules/
generators/libmod_asis.la modules/generators/libmod_cgi.la modules/
mappers/libmod_negotiation.la modules/mappers/libmod_dir.la modules/
mappers/libmod_actions.la modules/mappers/libmod_userdir.la modules/
mappers/libmod_alias.la modules/mappers/libmod_so.la'
CC='gcc'
CFLAGS=''
CORE_IMPLIB=''
CORE_IMPLIB_FILE=''
CPP='gcc -E'
CPPFLAGS=''
CXX=''
CXXFLAGS=''
DEFS='-DHAVE_CONFIG_H'
DSO_MODULES=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/usr/bin/ggrep -E'
EXEEXT=''
EXTRA_CFLAGS=' -g -O2'
EXTRA_CPPFLAGS=' -DSOLARIS2=11 -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT
-D_LARGEFILE64_SOURCE'
EXTRA_CXXFLAGS=''
EXTRA_INCLUDES='-I$(top_builddir)/srclib/pcre -I. -I$(top_srcdir)/os/$
(OS_DIR) -I$(top_srcdir)/server/mpm/$(MPM_SUBDIR_NAME) -I$(top_srcdir)/
modules/http -I$(top_srcdir)/modules/filters -I$(top_srcdir)/modules/
proxy -I$(top_srcdir)/include -I$(top_srcdir)/modules/generators -I$
(top_srcdir)/modules/mappers -I$(top_srcdir)/modules/database -I/
httpd-2.2.4/srclib/apr/include -I/httpd-2.2.4/srclib/apr-util/include -
I/httpd-2.2.4/srclib/apr-util/xml/expat/lib -I/usr/include -I$
(top_srcdir)/modules/proxy/../generators -I$(top_srcdir)/modules/ssl -I
$(top_srcdir)/modules/dav/main'
EXTRA_LDFLAGS=' -L/httpd-2.2.4/srclib/apr-util/xml/expat/lib '
EXTRA_LIBS='-lm -L/usr/lib -R/usr/lib -ltcl8.4'
GREP='/usr/bin/ggrep'
HTTPD_LDFLAGS='-export-dynamic'
HTTPD_VERSION='2.2.4'
INCLUDES=''
INSTALL='$(LIBTOOL) --mode=install $(abs_srcdir)/build/install.sh -c'
INSTALL_DSO='yes'
INSTALL_PROG_FLAGS=''
LDFLAGS=''
LIBOBJS=''
LIBS=''
LIBTOOL='/httpd-2.2.4/srclib/apr/libtool $(LTFLAGS)'
LN_S='ln -s'
LTCFLAGS='-prefer-non-pic -static'
LTFLAGS='--silent'
LTLIBOBJS=''
LT_LDFLAGS=''
LYNX_PATH='lynx'
MKDEP='$(CC) -MM'
MKINSTALLDIRS='$(abs_srcdir)/build/mkdir.sh'
MK_IMPLIB=''
MODULE_CLEANDIRS=' arch/win32 cache database debug echo experimental
ldap proxy ssl test dav/main dav/fs dav/lock'
MODULE_DIRS=' aaa filters loggers metadata mod_tcl http generators
mappers'
MOD_ACTIONS_LDADD=''
MOD_ALIAS_LDADD=''
MOD_ASIS_LDADD=''
MOD_AUTHNZ_LDAP_LDADD=''
MOD_AUTHN_ALIAS_LDADD=''
MOD_AUTHN_ANON_LDADD=''
MOD_AUTHN_DBD_LDADD=''
MOD_AUTHN_DBM_LDADD=''
MOD_AUTHN_DEFAULT_LDADD=''
MOD_AUTHN_FILE_LDADD=''
MOD_AUTHZ_DBM_LDADD=''
MOD_AUTHZ_DEFAULT_LDADD=''
MOD_AUTHZ_GROUPFILE_LDADD=''
MOD_AUTHZ_HOST_LDADD=''
MOD_AUTHZ_OWNER_LDADD=''
MOD_AUTHZ_USER_LDADD=''
MOD_AUTH_BASIC_LDADD=''
MOD_AUTH_DIGEST_LDADD=''
MOD_AUTOINDEX_LDADD=''
MOD_BUCKETEER_LDADD=''
MOD_CACHE_LDADD=''
MOD_CASE_FILTER_IN_LDADD=''
MOD_CASE_FILTER_LDADD=''
MOD_CERN_META_LDADD=''
MOD_CGID_LDADD=''
MOD_CGI_LDADD=''
MOD_CHARSET_LITE_LDADD=''
MOD_DAV_FS_LDADD=''
MOD_DAV_LDADD=''
MOD_DAV_LOCK_LDADD=''
MOD_DBD_LDADD=''
MOD_DEFLATE_LDADD=''
MOD_DIR_LDADD=''
MOD_DISK_CACHE_LDADD=''
MOD_DUMPIO_LDADD=''
MOD_ECHO_LDADD=''
MOD_ENV_LDADD=''
MOD_EXAMPLE_LDADD=''
MOD_EXPIRES_LDADD=''
MOD_EXT_FILTER_LDADD=''
MOD_FILE_CACHE_LDADD=''
MOD_FILTER_LDADD=''
MOD_HEADERS_LDADD=''
MOD_HTTP_LDADD=''
MOD_IDENT_LDADD=''
MOD_IMAGEMAP_LDADD=''
MOD_INCLUDE_LDADD=''
MOD_INFO_LDADD=''
MOD_ISAPI_LDADD=''
MOD_LDAP_LDADD=''
MOD_LOGIO_LDADD=''
MOD_LOG_CONFIG_LDADD=''
MOD_LOG_FORENSIC_LDADD=''
MOD_MEM_CACHE_LDADD=''
MOD_MIME_LDADD=''
MOD_MIME_MAGIC_LDADD=''
MOD_NEGOTIATION_LDADD=''
MOD_OPTIONAL_FN_EXPORT_LDADD=''
MOD_OPTIONAL_FN_IMPORT_LDADD=''
MOD_OPTIONAL_HOOK_EXPORT_LDADD=''
MOD_OPTIONAL_HOOK_IMPORT_LDADD=''
MOD_PROXY_AJP_LDADD=''
MOD_PROXY_BALANCER_LDADD=''
MOD_PROXY_CONNECT_LDADD=''
MOD_PROXY_FTP_LDADD=''
MOD_PROXY_HTTP_LDADD=''
MOD_PROXY_LDADD=''
MOD_REWRITE_LDADD=''
MOD_SETENVIF_LDADD=''
MOD_SO_LDADD=''
MOD_SPELING_LDADD=''
MOD_SSL_LDADD=''
MOD_STATUS_LDADD=''
MOD_SUEXEC_LDADD=''
MOD_TCL_LDADD=''
MOD_UNIQUE_ID_LDADD=''
MOD_USERDIR_LDADD=''
MOD_USERTRACK_LDADD=''
MOD_VERSION_LDADD=''
MOD_VHOST_ALIAS_LDADD=''
MPM_LIB='server/mpm/prefork/libprefork.la'
MPM_NAME='prefork'
MPM_SUBDIR_NAME='prefork'
NOTEST_CFLAGS=''
NOTEST_CPPFLAGS=''
NOTEST_CXXFLAGS=''
NOTEST_LDFLAGS=''
NOTEST_LIBS=''
OBJEXT='o'
OS='unix'
OS_DIR='unix'
OS_SPECIFIC_VARS=''
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
PCRE_CONFIG='false'
PICFLAGS=''
PILDFLAGS=''
PKGCONFIG='/usr/bin/pkg-config'
PORT='80'
POST_SHARED_CMDS='echo ""'
PRE_SHARED_CMDS='echo ""'
RANLIB='ranlib'
RM='/usr/bin/rm'
RSYNC='/usr/bin/rsync'
SHELL='/bin/bash'
SHLIBPATH_VAR='LD_LIBRARY_PATH'
SHLTCFLAGS='-prefer-pic'
SH_LDFLAGS=''
SH_LIBS=''
SH_LIBTOOL='$(LIBTOOL)'
SSL_LIBS=''
UTIL_LDFLAGS=''
ab_LTFLAGS=''
abs_srcdir='/httpd-2.2.4'
ac_ct_CC='gcc'
ap_make_delimiter=' '
ap_make_include='include'
bindir='${exec_prefix}/bin'
build='i386-pc-solaris2.11'
build_alias=''
build_cpu='i386'
build_os='solaris2.11'
build_vendor='pc'
cgidir='${datadir}/cgi-bin'
checkgid_LTFLAGS=''
datadir='${prefix}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE}'
dvidir='${docdir}'
errordir='${datadir}/error'
exec_prefix='${prefix}'
exp_bindir='/usr/local/apache2/bin'
exp_cgidir='/usr/local/apache2/cgi-bin'
exp_datadir='/usr/local/apache2'
exp_errordir='/usr/local/apache2/error'
exp_exec_prefix='/usr/local/apache2'
exp_htdocsdir='/usr/local/apache2/htdocs'
exp_iconsdir='/usr/local/apache2/icons'
exp_includedir='/usr/local/apache2/include'
exp_installbuilddir='/usr/local/apache2/build'
exp_libdir='/usr/local/apache2/lib'
exp_libexecdir='/usr/local/apache2/modules'
exp_localstatedir='/usr/local/apache2'
exp_logfiledir='/usr/local/apache2/logs'
exp_mandir='/usr/local/apache2/man'
exp_manualdir='/usr/local/apache2/manual'
exp_proxycachedir='/usr/local/apache2/proxy'
exp_runtimedir='/usr/local/apache2/logs'
exp_sbindir='/usr/local/apache2/bin'
exp_sysconfdir='/usr/local/apache2/conf'
host='i386-pc-solaris2.11'
host_alias=''
host_cpu='i386'
host_os='solaris2.11'
host_vendor='pc'
htcacheclean_LTFLAGS=''
htdbm_LTFLAGS=''
htdigest_LTFLAGS=''
htdocsdir='${datadir}/htdocs'
htmldir='${docdir}'
htpasswd_LTFLAGS=''
httxt2dbm_LTFLAGS=''
iconsdir='${datadir}/icons'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
installbuilddir='${datadir}/build'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/modules'
localedir='${datarootdir}/locale'
localstatedir='${prefix}'
logfiledir='${localstatedir}/logs'
logresolve_LTFLAGS=''
mandir='${prefix}/man'
manualdir='${datadir}/manual'
nonssl_listen_stmt_1=''
nonssl_listen_stmt_2=''
oldincludedir='/usr/include'
other_targets=''
pdfdir='${docdir}'
perlbin='/usr/bin/perl'
prefix='/usr/local/apache2'
progname='httpd'
program_transform_name='s,x,x,'
proxycachedir='${localstatedir}/proxy'
psdir='${docdir}'
rel_bindir='bin'
rel_cgidir='cgi-bin'
rel_datadir=''
rel_errordir='error'
rel_exec_prefix=''
rel_htdocsdir='htdocs'
rel_iconsdir='icons'
rel_includedir='include'
rel_installbuilddir='build'
rel_libdir='lib'
rel_libexecdir='modules'
rel_localstatedir=''
rel_logfiledir='logs'
rel_mandir='man'
rel_manualdir='manual'
rel_proxycachedir='proxy'
rel_runtimedir='logs'
rel_sbindir='bin'
rel_sysconfdir='conf'
rotatelogs_LTFLAGS=''
runtimedir='${localstatedir}/logs'
sbindir='${exec_prefix}/bin'
shared_build=''
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/conf'
target='i386-pc-solaris2.11'
target_alias=''
target_cpu='i386'
target_os='solaris2.11'
target_vendor='pc'

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE_NAME ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define PACKAGE_STRING ""
#define PACKAGE_BUGREPORT ""
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define STDC_HEADERS 1
#define HAVE_STRING_H 1
#define HAVE_LIMITS_H 1
#define HAVE_UNISTD_H 1
#define HAVE_SYS_SOCKET_H 1
#define HAVE_PWD_H 1
#define HAVE_GRP_H 1
#define HAVE_STRINGS_H 1
#define HAVE_SYS_PROCESSOR_H 1
#define HAVE_SYS_SEM_H 1
#define HAVE_SYS_WAIT_H 1
#define HAVE_GETPWNAM 1
#define HAVE_GETGRNAM 1
#define HAVE_INITGROUPS 1
#define AP_ENABLE_V4_MAPPED 1
#define HAVE_TCL_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_SYS_MMAN_H 1
#define HAVE_MMAP 1
#define HAVE_SYS_TIME_H 1
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_SYS_SEM_H 1
#define HAVE_SYS_IPC_H 1
#define HAVE_SETSID 1
#define HAVE_KILLPG 1
#define HAVE_UNISTD_H 1
#define HAVE_SYSLOG 1
#define HAVE_SYS_TIMES_H 1
#define HAVE_TIMES 1
#define AP_USING_AUTOCONF 1
#define SINGLE_LISTEN_UNSERIALIZED_ACCEPT 1
#define AP_NONBLOCK_WHEN_MULTI_LISTEN 1
#define HTTPD_ROOT "/usr/local/apache2"
#define SERVER_CONFIG_FILE "conf/httpd.conf"
#define AP_TYPES_CONFIG_FILE "conf/mime.types"
#define APACHE_MPM_DIR "server/mpm/prefork"

configure: exit 0

Message has been deleted

JohanBG....@gmail.com

unread,
Sep 5, 2008, 10:48:00 AM9/5/08
to
On Sep 5, 7:37 am, Davide Bianchi <davideyeahs...@onlyforfun.net>> > $ ./configure --with-included-apr

>
> > configure:13285: checking for tcl.h
> > configure:13293: result: yes
> > configure:13171: checking for inttypes.h
> > configure:13177: result: yes
> > configure:13181: checking int_types.h usability
> > configure:13198: gcc -c -g -O2 -DSOLARIS2=11 -
> > D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT -D_LARGEFILE64_SOURCE
> > conftest.c >&5
> > conftest.c:68:23: int_types.h: No such file or directory
> > configure:13204: $? = 1
> > configure: failed program was:
> >| /* confdefs.h. */
>
> It looks to me that you're missing something, there are a lot of errors
> in your log. Maybe your kit isn't so complete?
>
> Davide
>
> --
> Windows XP: Technology by NT, interface by Fisher-Price

Please expand on that question? I am not sure what you mean by 'kit'
and 'complete' in this situation.

Message has been deleted

JohanBG....@gmail.com

unread,
Sep 8, 2008, 3:14:47 AM9/8/08
to
On Sep 5, 7:52 am, Davide Bianchi <davideyeahs...@onlyforfun.net>
> In your log there are a lot of 'no such file' and 'failed program', that
> makes me think that maybe you don't have all what it needs to fully
> compile the whole thing (the "kit"). I'd start by going through the log
> and figuring out if I really have all the sources/libraries and other
> thing or not. In any event, is not a problem in configuration, maybe you
> should ask on some developement mailing list or on a solaris-specific
> group.
>
> Davide
>
> --
> IMAP is just not a very rich protocol.
> -- Steve Conn, Exchange Server product manager for Microsoft

I will try both parts of your advice. Thank you.

As far as I understand all the prerequisites, all software that is
needed, is indeed installed. But i'll be going over the logs and
trying to understand it.

0 new messages